OTFINFO(1)

NAME
otfinfo - report information about OpenType fonts

SYNOPSIS
otfinfo [-sfzpvag] [FILE...]

DESCRIPTION
Otfinfo reports information about the named OpenType font FILEs (or standard input, if no FILEs are given). Results are printed to standard output. Each line is prefaced with the relevant FILE if more than one FILE was supplied.

OPTIONS
With long options, you need type only as many characters as will make the option unique.

  Query options
-s, --scripts
    Print supported scripts and language systems. The scripts are printed one per line, with human-readable descriptions; for example:
      cyrl            Cyrillic
      grek            Greek
      latn            Latin
      latn.TUR        Latin/Turkish

-f, --features
    Print GSUB and GPOS features supported by the selected script (see the --script option below). The scripts are printed one per line, with human-readable descriptions; for example:
      aalt    Access All Alternates
      c2sc    Small Capitals From Capitals
      case    Case-Sensitive Forms
      cpsp    Capital Spacing
      ...
      zero    Slashed Zero

-z, --optical-size
    Print optical size information. For example:
      design size 11 pt, size range (8.4 pt, 13 pt], subfamily ID 11, subfamily name Semibold Italic

-p, --postscript-name
    Print each font's PostScript name. For example:
      MinionPro-SemiboldItCapt

-a, --family
    Print each font's family name. For example:
      Minion Pro

-v, --font-version
    Print font version information, if available. For example:
      OTF 1.013;PS 001.000;Core 1.0.27;makeotf.lib(1.11)

-i, --info
    Print each font's name, version, designer, vendor, copyright, and license information. For example:
      Family:              Minion Pro
      Subfamily:           Regular
      Full name:           Minion Pro
      PostScript name:     MinionPro-Regular
      Version:             OTF 1.011;PS 001.000;Core 1.0.27;makeotf.lib1.3.1
      Unique ID:           1.011;ADBE;MinionPro-Regular
      Designer:            Robert Slimbach
      Vendor URL:          http://www.adobe.com/type/
      Trademark:           Minion is either a registered trademark or a trademark of Adobe Systems Incorporated in the United States and/or other countries.
      Copyright:           © 2000 Adobe Systems Incorporated. All Rights Reserved. U.S. Patent Des. 337,604. Other patents pending.
      License URL:         http://www.adobe.com/type/legal.html

-g, --glyphs
    Print the name of every glyph in each font, one per line. For example:
      .notdef
      space
      exclam
      ...
      ncommaaccent.end
      lje.alt
    Works for PostScript-flavored OpenType fonts only.

-t, --tables
    Print the size and name of every OpenType table in the font. For example:
           52 BASE
        87723 CFF
         4940 DSIG
        21366 GPOS
      ...

-T table, --dump-table=table
    Print the contents of the font's OpenType table table.

  Miscellaneous options
--script=script[.lang]
    Select the script system script and language system lang used to look up features by --features. Examples include "latn" (Latin script), "grek" (Greek script), and "yi.YIC" (Yi script with classic characters). If lang is not specified, otfinfo will use the default language system for that script. Defaults to "latn".

-V, --verbose
    Write progress messages to standard error.

-q, --quiet
    Do not generate any error messages.

-h, --help
    Print usage information and exit.

--version
    Print the version number and some short non-warranty information and exit.

SEE ALSO

OpenType Specification, Version 1.4

AUTHOR
Eddie Kohler (ekohler@gmail.com)